import type { Document } from '@mongosh/service-provider-core';
import type Mongo from './mongo';
import { asPrintable } from './enums';
import { ShellApiWithMongoClass } from './decorators';
import type { Streams } from './streams';
export default class StreamProcessor extends ShellApiWithMongoClass {
    _streams: Streams;
    name: string;
    constructor(_streams: Streams, name: string);
    get _mongo(): Mongo;
    [asPrintable](): string;
    start(options?: Document): Promise<Document>;
    stop(options?: Document): Promise<Document>;
    drop(options?: Document): Promise<Document>;
    _drop(options?: Document): Promise<Document>;
    stats(options?: Document): Promise<Document>;
    modify(options: Document): Promise<Document>;
    modify(pipeline: Document[], options?: Document): Promise<Document>;
    sample(options?: Document): Promise<Document | undefined>;
    _sampleFrom(cursorId: number): Promise<Document | undefined>;
}
